petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMSwarmRegisterUserStructField

Register a user defined struct to a DMSwarm

### Synopsis

    #include "petscdmswarm.h"
    PETSC_EXTERN PetscErrorCode DMSwarmRegisterUserStructField(DM dm,const char fieldname[],size_t size)

Collective on DM

### Input parameters

| dm | - a DMSwarm
| fieldname | - the textual name to identify this field
| size | - the size in bytes of the user struct of each data type

### Notes

The textual name for each registered field must be unique.

### See Also

DMSwarmRegisterPetscDatatypeField(), DMSwarmRegisterUserDatatypeField()

### Level

beginner

### Location

src/dm/impls/swarm/swarm.c
Index of all DMSWARM routines
Table of Contents for all manual pages
Index of all manual pages